<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: gpio_test.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('gpio__test_8c_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">gpio_test.c</div>  </div>
</div><!--header-->
<div class="contents">
<a href="gpio__test_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * gpio_test.c - khepera Library - GPIO Test</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * $Id: gpio_test.c,v 1.2 2006/01/26 14:51:53 flambercy Exp $</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * $Author: flambercy $</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * $Date: 2006/01/26 14:51:53 $</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * $Revision: 1.2 $</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;signal.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;khepera/khepera.h&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#a7afd688646baddcb54287c2eec6949a9">   13</a></span>&#160;<span class="keyword">static</span> <span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#a7afd688646baddcb54287c2eec6949a9">quitReq</a> = 0;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#ac9f02fb0114292a308e093f0d9f8aa30">   19</a></span>&#160;<span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code" href="gpio__test_8c.html#ac9f02fb0114292a308e093f0d9f8aa30">ctrlc_handler</a>( <span class="keywordtype">int</span> sig ) </div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;{</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;  <a class="code" href="gpio__test_8c.html#a7afd688646baddcb54287c2eec6949a9">quitReq</a> = 1;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;}</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#ae92fb5ec62807efb0ce1b2171784066f">   27</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#ae92fb5ec62807efb0ce1b2171784066f">quit</a>( <span class="keywordtype">int</span> argc , <span class="keywordtype">char</span> * argv[] , <span class="keywordtype">void</span> * data) </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;{</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <a class="code" href="gpio__test_8c.html#a7afd688646baddcb54287c2eec6949a9">quitReq</a> = 1;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;}</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#a55b67680ef11ee22320966b435ac0575">   44</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#a55b67680ef11ee22320966b435ac0575">configio</a>(<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * argv[], <span class="keywordtype">void</span> * data)</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;{</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="comment">/* Set gpio  to IO mode */</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <a class="code" href="kb__gpio_8c.html#aa35b4abbeed41042307344df3d9fb498">kb_gpio_function</a>(atoi(argv[1]),0);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="comment">/* Set gpio  to output */</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <span class="keywordflow">if</span>(atoi(argv[2]))</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;                <a class="code" href="kb__gpio_8c.html#a1cd4956c014dd1f950f060357edcbe58">kb_gpio_dir</a>(atoi(argv[1]),0);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="comment">/* Set gpio  to output */</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keywordflow">else</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;                <a class="code" href="kb__gpio_8c.html#a1cd4956c014dd1f950f060357edcbe58">kb_gpio_dir</a>(atoi(argv[1]),1);           </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;}</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#a5c5c6ab7d69eae3722c0537333cc657d">   61</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#a5c5c6ab7d69eae3722c0537333cc657d">resetio</a>( <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * argv[], <span class="keywordtype">void</span> * data)</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;{</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;   <a class="code" href="kb__gpio_8c.html#a4d046c0445b753de64ffb38888ac4bfd">kb_gpio_clear</a>(atoi(argv[1]));</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  }</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#ac80b5c0ed611b88f403edb2322e9f433">   73</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#ac80b5c0ed611b88f403edb2322e9f433">setio</a>( <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * argv[], <span class="keywordtype">void</span> * data)</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;{</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <a class="code" href="kb__gpio_8c.html#a9c15d4671a8c8e9b2cb25245dc878574">kb_gpio_set</a>(atoi(argv[1]));</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;}</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#a6c72eb4fa044dbc699d7f6337807540d">   83</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#a6c72eb4fa044dbc699d7f6337807540d">readio</a>( <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * argv[], <span class="keywordtype">void</span> * data)</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;{</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;  <span class="keywordtype">int</span> rc;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  rc = <a class="code" href="kb__gpio_8c.html#ab27da43aa5cbdd9cc0e9ffdf89e343ae">kb_gpio_get</a>(atoi(argv[1]));</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  <span class="keywordflow">if</span>(rc &lt; 0)</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    printf(<span class="stringliteral">&quot;wrong io or not in input mode\r\n&quot;</span>);</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <span class="keywordflow">else</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    printf(<span class="stringliteral">&quot;read io %d: %d\r\n&quot;</span>,atoi(argv[1]),rc);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;}</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#af527da55ae845e8adc289424cab8adbc">  100</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#af527da55ae845e8adc289424cab8adbc">pwm_on</a>( <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * argv[], <span class="keywordtype">void</span> * data)</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;{</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  <span class="keywordtype">int</span> rc;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  </div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  rc = <a class="code" href="kb__pwm_8c.html#ad73b6a1b020c90a4461d9c60bf5675ec">kb_pwm_activate</a>(atoi(argv[1]));</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordflow">if</span>(rc != 0)</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    printf(<span class="stringliteral">&quot;wrong pwm\r\n&quot;</span>);</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  <span class="keywordflow">else</span>;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;}</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#a54bcf01f801aabc1207b5a13863516c9">  117</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#a54bcf01f801aabc1207b5a13863516c9">pwm_off</a>( <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * argv[], <span class="keywordtype">void</span> * data)</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;{</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  <span class="keywordtype">int</span> rc;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  </div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  rc = <a class="code" href="kb__pwm_8c.html#a9a3c54627cc9630d04107ca5543d0fb0">kb_pwm_desactivate</a>(atoi(argv[1]));</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  <span class="keywordflow">if</span>(rc != 0)</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    printf(<span class="stringliteral">&quot;wrong pwm\r\n&quot;</span>);</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;  <span class="keywordflow">else</span>;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    </div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;}</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#add0dd9208ef74a11aaa439bd9ec148a8">  134</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#add0dd9208ef74a11aaa439bd9ec148a8">pwm_ratio</a>( <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * argv[], <span class="keywordtype">void</span> * data)</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;{</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;  <span class="keywordtype">int</span> rc;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;  </div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;  rc = <a class="code" href="kb__pwm_8c.html#afbc5ba10728a7da9ef8f02dc0b06028c">kb_pwm_duty</a>(atoi(argv[1]),atoi(argv[2]));</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  <span class="keywordflow">if</span>(rc != 0)</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    printf(<span class="stringliteral">&quot;wrong pwm\r\n&quot;</span>);</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;  <span class="keywordflow">else</span>;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    </div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;}</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00151"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#a008d44c623786d5631d259860e663319">  151</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#a008d44c623786d5631d259860e663319">pwm_freq</a>( <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * argv[], <span class="keywordtype">void</span> * data)</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;{</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;  <span class="keywordtype">int</span> rc;</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;  </div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;  rc = <a class="code" href="kb__pwm_8c.html#a8aaa13255edbaf62fa92e8390bacd2b7">kb_pwm_period</a>(atoi(argv[1]), atoi(argv[2]));</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;  <span class="keywordflow">if</span>(rc != 0)</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    printf(<span class="stringliteral">&quot;wrong pwm\r\n&quot;</span>);</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;  <span class="keywordflow">else</span>;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;   </div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;}</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#ae3d6a45deeef910eb59d5be977b0dfa1">help</a>( <span class="keywordtype">int</span> argc , <span class="keywordtype">char</span> * argv[] , <span class="keywordtype">void</span> * data);</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00172"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#a5532197815d495c65c2c74f6cd107825">  172</a></span>&#160;<span class="keyword">static</span> <a class="code" href="structkb__command__s.html">kb_command_t</a> <a class="code" href="gpio__test_8c.html#a5532197815d495c65c2c74f6cd107825">cmds</a>[] = {</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;  { <span class="stringliteral">&quot;quit&quot;</span>            , 0 , 0 , <a class="code" href="gpio__test_8c.html#ae92fb5ec62807efb0ce1b2171784066f">quit</a> } ,</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;  { <span class="stringliteral">&quot;exit&quot;</span>            , 0 , 0 , <a class="code" href="gpio__test_8c.html#ae92fb5ec62807efb0ce1b2171784066f">quit</a> } ,</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;  { <span class="stringliteral">&quot;bye&quot;</span>             , 0 , 0 , <a class="code" href="gpio__test_8c.html#ae92fb5ec62807efb0ce1b2171784066f">quit</a> } ,</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;  { <span class="stringliteral">&quot;readio&quot;</span>          , 1 , 1 , <a class="code" href="gpio__test_8c.html#a6c72eb4fa044dbc699d7f6337807540d">readio</a> },</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;  { <span class="stringliteral">&quot;setio&quot;</span>           , 1 , 1 , <a class="code" href="gpio__test_8c.html#ac80b5c0ed611b88f403edb2322e9f433">setio</a> },</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;  { <span class="stringliteral">&quot;cleario&quot;</span>         , 1 , 1 , <a class="code" href="gpio__test_8c.html#a5c5c6ab7d69eae3722c0537333cc657d">resetio</a> },</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;  { <span class="stringliteral">&quot;configio&quot;</span>        , 2 , 2 , <a class="code" href="gpio__test_8c.html#a55b67680ef11ee22320966b435ac0575">configio</a> },</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;  { <span class="stringliteral">&quot;pwm_on&quot;</span>        , 1 , 1 , <a class="code" href="gpio__test_8c.html#af527da55ae845e8adc289424cab8adbc">pwm_on</a> },</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;  { <span class="stringliteral">&quot;pwm_off&quot;</span>        , 1 , 1 , <a class="code" href="gpio__test_8c.html#a54bcf01f801aabc1207b5a13863516c9">pwm_off</a> },</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;  { <span class="stringliteral">&quot;pwm_ratio&quot;</span>        , 2 , 2 , <a class="code" href="gpio__test_8c.html#add0dd9208ef74a11aaa439bd9ec148a8">pwm_ratio</a>},</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;  { <span class="stringliteral">&quot;pwm_freq&quot;</span>        , 2 , 2 , <a class="code" href="gpio__test_8c.html#a008d44c623786d5631d259860e663319">pwm_freq</a> },</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;  { <span class="stringliteral">&quot;help&quot;</span>            , 0 , 0 , <a class="code" href="gpio__test_8c.html#ae3d6a45deeef910eb59d5be977b0dfa1">help</a> } ,</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;  { NULL              , 0 , 0 , NULL }</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;};</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00191"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#ae3d6a45deeef910eb59d5be977b0dfa1">  191</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#ae3d6a45deeef910eb59d5be977b0dfa1">help</a>( <span class="keywordtype">int</span> argc , <span class="keywordtype">char</span> * argv[] , <span class="keywordtype">void</span> * data) </div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;{</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;  <a class="code" href="structkb__command__s.html">kb_command_t</a> * scan = <a class="code" href="gpio__test_8c.html#a5532197815d495c65c2c74f6cd107825">cmds</a>;</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;  <span class="keywordflow">while</span>(scan-&gt;<a class="code" href="structkb__command__s.html#a75591e4df142e619f2c3eb3983445bd2">name</a> != NULL)</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;  {</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    printf(<span class="stringliteral">&quot;%s\r\n&quot;</span>,scan-&gt;<a class="code" href="structkb__command__s.html#a75591e4df142e619f2c3eb3983445bd2">name</a>);</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    scan++;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;  }</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;  <span class="keywordflow">return</span> 0;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;}</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00206"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#ac75fce8692fd1d41a8985f6aacc4a175">  206</a></span>&#160;<span class="keyword">static</span> <span class="keywordtype">char</span> <a class="code" href="gpio__test_8c.html#ac75fce8692fd1d41a8985f6aacc4a175">buf</a>[1024];</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div>
<div class="line"><a name="l00208"></a><span class="lineno"><a class="line" href="gpio__test_8c.html#a0ddf1224851353fc92bfbff6f499fa97">  208</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="gpio__test_8c.html#a0ddf1224851353fc92bfbff6f499fa97">main</a>( <span class="keywordtype">int</span> argc , <span class="keywordtype">char</span> * argv[] )</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;{</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;  <span class="keywordtype">int</span> rc,ver;</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;  <span class="comment">/* Set the libkhepera debug level - Highly recommended for development. */</span></div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;  <a class="code" href="kb__error_8c.html#aa37d3cf5b9b4e8a961c0f7a405664cc6">kb_set_debug_level</a>(2);</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;  <span class="keywordflow">if</span>((rc = <a class="code" href="kb__init_8c.html#adf1ca4007100c026fae148afe3e4b6f2">kb_init</a>( argc , argv )) &lt; 0 )</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;    <span class="keywordflow">return</span> 1;</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;  signal( SIGINT , <a class="code" href="gpio__test_8c.html#ac9f02fb0114292a308e093f0d9f8aa30">ctrlc_handler</a> );</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;  printf(<span class="stringliteral">&quot;K-Team GPIO Test Program\r\n&quot;</span>);</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;  </div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;  <span class="comment">/* Initialize the PWM module */</span></div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;  <a class="code" href="kb__pwm_8c.html#a807e0cc60559e1d0fea387afb6a10d67">kb_pwm_init</a>();</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;  </div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;  </div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;  <span class="comment">/* parse commands */</span></div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;  <span class="keywordflow">while</span> (!<a class="code" href="gpio__test_8c.html#a7afd688646baddcb54287c2eec6949a9">quitReq</a>) {</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    printf(<span class="stringliteral">&quot;\n&gt; &quot;</span>);</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;    <span class="keywordflow">if</span> ( fgets( <a class="code" href="gpio__test_8c.html#ac75fce8692fd1d41a8985f6aacc4a175">buf</a> , <span class="keyword">sizeof</span>(<a class="code" href="gpio__test_8c.html#ac75fce8692fd1d41a8985f6aacc4a175">buf</a>) , stdin ) != NULL ) {</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;      <a class="code" href="gpio__test_8c.html#ac75fce8692fd1d41a8985f6aacc4a175">buf</a>[strlen(<a class="code" href="gpio__test_8c.html#ac75fce8692fd1d41a8985f6aacc4a175">buf</a>)-1] = <span class="charliteral">&#39;\0&#39;</span>;</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;      <a class="code" href="kb__cmdparser_8c.html#a148aa3c18794894d8cdd0a88dd04b814">kb_parse_command</a>( <a class="code" href="gpio__test_8c.html#ac75fce8692fd1d41a8985f6aacc4a175">buf</a> , cmds , NULL);</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;    }</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;  }</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;        <a class="code" href="kb__pwm_8c.html#a6638cbf8e612a375ddf5ed7b8eab88bf">kb_pwm_cleanup</a>();</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;}</div>
<div class="ttc" id="gpio__test_8c_html_a6c72eb4fa044dbc699d7f6337807540d"><div class="ttname"><a href="gpio__test_8c.html#a6c72eb4fa044dbc699d7f6337807540d">readio</a></div><div class="ttdeci">int readio(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00083">gpio_test.c:83</a></div></div>
<div class="ttc" id="gpio__test_8c_html_ac80b5c0ed611b88f403edb2322e9f433"><div class="ttname"><a href="gpio__test_8c.html#ac80b5c0ed611b88f403edb2322e9f433">setio</a></div><div class="ttdeci">int setio(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00073">gpio_test.c:73</a></div></div>
<div class="ttc" id="gpio__test_8c_html_ac75fce8692fd1d41a8985f6aacc4a175"><div class="ttname"><a href="gpio__test_8c.html#ac75fce8692fd1d41a8985f6aacc4a175">buf</a></div><div class="ttdeci">static char buf[1024]</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00206">gpio_test.c:206</a></div></div>
<div class="ttc" id="kb__pwm_8c_html_ad73b6a1b020c90a4461d9c60bf5675ec"><div class="ttname"><a href="kb__pwm_8c.html#ad73b6a1b020c90a4461d9c60bf5675ec">kb_pwm_activate</a></div><div class="ttdeci">int kb_pwm_activate(unsigned pwm)</div><div class="ttdef"><b>Definition:</b> <a href="kb__pwm_8c_source.html#l00189">kb_pwm.c:189</a></div></div>
<div class="ttc" id="structkb__command__s_html"><div class="ttname"><a href="structkb__command__s.html">kb_command_s</a></div><div class="ttdef"><b>Definition:</b> <a href="kb__cmdparser_8h_source.html#l00017">kb_cmdparser.h:17</a></div></div>
<div class="ttc" id="kb__gpio_8c_html_aa35b4abbeed41042307344df3d9fb498"><div class="ttname"><a href="kb__gpio_8c.html#aa35b4abbeed41042307344df3d9fb498">kb_gpio_function</a></div><div class="ttdeci">void kb_gpio_function(unsigned gpio, unsigned function)</div><div class="ttdef"><b>Definition:</b> <a href="kb__gpio_8c_source.html#l00202">kb_gpio.c:202</a></div></div>
<div class="ttc" id="kb__gpio_8c_html_a9c15d4671a8c8e9b2cb25245dc878574"><div class="ttname"><a href="kb__gpio_8c.html#a9c15d4671a8c8e9b2cb25245dc878574">kb_gpio_set</a></div><div class="ttdeci">void kb_gpio_set(unsigned gpio)</div><div class="ttdef"><b>Definition:</b> <a href="kb__gpio_8c_source.html#l00302">kb_gpio.c:302</a></div></div>
<div class="ttc" id="structkb__command__s_html_a75591e4df142e619f2c3eb3983445bd2"><div class="ttname"><a href="structkb__command__s.html#a75591e4df142e619f2c3eb3983445bd2">kb_command_s::name</a></div><div class="ttdeci">char * name</div><div class="ttdef"><b>Definition:</b> <a href="kb__cmdparser_8h_source.html#l00020">kb_cmdparser.h:20</a></div></div>
<div class="ttc" id="kb__gpio_8c_html_a4d046c0445b753de64ffb38888ac4bfd"><div class="ttname"><a href="kb__gpio_8c.html#a4d046c0445b753de64ffb38888ac4bfd">kb_gpio_clear</a></div><div class="ttdeci">void kb_gpio_clear(unsigned gpio)</div><div class="ttdef"><b>Definition:</b> <a href="kb__gpio_8c_source.html#l00323">kb_gpio.c:323</a></div></div>
<div class="ttc" id="gpio__test_8c_html_af527da55ae845e8adc289424cab8adbc"><div class="ttname"><a href="gpio__test_8c.html#af527da55ae845e8adc289424cab8adbc">pwm_on</a></div><div class="ttdeci">int pwm_on(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00100">gpio_test.c:100</a></div></div>
<div class="ttc" id="gpio__test_8c_html_a0ddf1224851353fc92bfbff6f499fa97"><div class="ttname"><a href="gpio__test_8c.html#a0ddf1224851353fc92bfbff6f499fa97">main</a></div><div class="ttdeci">int main(int argc, char *argv[])</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00208">gpio_test.c:208</a></div></div>
<div class="ttc" id="kb__gpio_8c_html_ab27da43aa5cbdd9cc0e9ffdf89e343ae"><div class="ttname"><a href="kb__gpio_8c.html#ab27da43aa5cbdd9cc0e9ffdf89e343ae">kb_gpio_get</a></div><div class="ttdeci">int kb_gpio_get(unsigned gpio)</div><div class="ttdef"><b>Definition:</b> <a href="kb__gpio_8c_source.html#l00347">kb_gpio.c:347</a></div></div>
<div class="ttc" id="gpio__test_8c_html_a008d44c623786d5631d259860e663319"><div class="ttname"><a href="gpio__test_8c.html#a008d44c623786d5631d259860e663319">pwm_freq</a></div><div class="ttdeci">int pwm_freq(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00151">gpio_test.c:151</a></div></div>
<div class="ttc" id="kb__pwm_8c_html_a8aaa13255edbaf62fa92e8390bacd2b7"><div class="ttname"><a href="kb__pwm_8c.html#a8aaa13255edbaf62fa92e8390bacd2b7">kb_pwm_period</a></div><div class="ttdeci">int kb_pwm_period(unsigned pwm, unsigned frequency)</div><div class="ttdef"><b>Definition:</b> <a href="kb__pwm_8c_source.html#l00255">kb_pwm.c:255</a></div></div>
<div class="ttc" id="kb__pwm_8c_html_a9a3c54627cc9630d04107ca5543d0fb0"><div class="ttname"><a href="kb__pwm_8c.html#a9a3c54627cc9630d04107ca5543d0fb0">kb_pwm_desactivate</a></div><div class="ttdeci">int kb_pwm_desactivate(unsigned pwm)</div><div class="ttdef"><b>Definition:</b> <a href="kb__pwm_8c_source.html#l00207">kb_pwm.c:207</a></div></div>
<div class="ttc" id="gpio__test_8c_html_ac9f02fb0114292a308e093f0d9f8aa30"><div class="ttname"><a href="gpio__test_8c.html#ac9f02fb0114292a308e093f0d9f8aa30">ctrlc_handler</a></div><div class="ttdeci">static void ctrlc_handler(int sig)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00019">gpio_test.c:19</a></div></div>
<div class="ttc" id="gpio__test_8c_html_a7afd688646baddcb54287c2eec6949a9"><div class="ttname"><a href="gpio__test_8c.html#a7afd688646baddcb54287c2eec6949a9">quitReq</a></div><div class="ttdeci">static int quitReq</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00013">gpio_test.c:13</a></div></div>
<div class="ttc" id="kb__gpio_8c_html_a1cd4956c014dd1f950f060357edcbe58"><div class="ttname"><a href="kb__gpio_8c.html#a1cd4956c014dd1f950f060357edcbe58">kb_gpio_dir</a></div><div class="ttdeci">int kb_gpio_dir(unsigned gpio, unsigned dir)</div><div class="ttdef"><b>Definition:</b> <a href="kb__gpio_8c_source.html#l00218">kb_gpio.c:218</a></div></div>
<div class="ttc" id="kb__pwm_8c_html_a807e0cc60559e1d0fea387afb6a10d67"><div class="ttname"><a href="kb__pwm_8c.html#a807e0cc60559e1d0fea387afb6a10d67">kb_pwm_init</a></div><div class="ttdeci">int kb_pwm_init()</div><div class="ttdef"><b>Definition:</b> <a href="kb__pwm_8c_source.html#l00104">kb_pwm.c:104</a></div></div>
<div class="ttc" id="kb__pwm_8c_html_a6638cbf8e612a375ddf5ed7b8eab88bf"><div class="ttname"><a href="kb__pwm_8c.html#a6638cbf8e612a375ddf5ed7b8eab88bf">kb_pwm_cleanup</a></div><div class="ttdeci">int kb_pwm_cleanup()</div><div class="ttdef"><b>Definition:</b> <a href="kb__pwm_8c_source.html#l00156">kb_pwm.c:156</a></div></div>
<div class="ttc" id="gpio__test_8c_html_a54bcf01f801aabc1207b5a13863516c9"><div class="ttname"><a href="gpio__test_8c.html#a54bcf01f801aabc1207b5a13863516c9">pwm_off</a></div><div class="ttdeci">int pwm_off(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00117">gpio_test.c:117</a></div></div>
<div class="ttc" id="gpio__test_8c_html_ae3d6a45deeef910eb59d5be977b0dfa1"><div class="ttname"><a href="gpio__test_8c.html#ae3d6a45deeef910eb59d5be977b0dfa1">help</a></div><div class="ttdeci">int help(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00191">gpio_test.c:191</a></div></div>
<div class="ttc" id="gpio__test_8c_html_a5c5c6ab7d69eae3722c0537333cc657d"><div class="ttname"><a href="gpio__test_8c.html#a5c5c6ab7d69eae3722c0537333cc657d">resetio</a></div><div class="ttdeci">int resetio(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00061">gpio_test.c:61</a></div></div>
<div class="ttc" id="kb__pwm_8c_html_afbc5ba10728a7da9ef8f02dc0b06028c"><div class="ttname"><a href="kb__pwm_8c.html#afbc5ba10728a7da9ef8f02dc0b06028c">kb_pwm_duty</a></div><div class="ttdeci">int kb_pwm_duty(unsigned pwm, unsigned duty)</div><div class="ttdef"><b>Definition:</b> <a href="kb__pwm_8c_source.html#l00233">kb_pwm.c:233</a></div></div>
<div class="ttc" id="kb__error_8c_html_aa37d3cf5b9b4e8a961c0f7a405664cc6"><div class="ttname"><a href="kb__error_8c.html#aa37d3cf5b9b4e8a961c0f7a405664cc6">kb_set_debug_level</a></div><div class="ttdeci">void kb_set_debug_level(unsigned int level)</div><div class="ttdef"><b>Definition:</b> <a href="kb__error_8c_source.html#l00130">kb_error.c:130</a></div></div>
<div class="ttc" id="gpio__test_8c_html_a55b67680ef11ee22320966b435ac0575"><div class="ttname"><a href="gpio__test_8c.html#a55b67680ef11ee22320966b435ac0575">configio</a></div><div class="ttdeci">int configio(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00044">gpio_test.c:44</a></div></div>
<div class="ttc" id="gpio__test_8c_html_a5532197815d495c65c2c74f6cd107825"><div class="ttname"><a href="gpio__test_8c.html#a5532197815d495c65c2c74f6cd107825">cmds</a></div><div class="ttdeci">static kb_command_t cmds[]</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00172">gpio_test.c:172</a></div></div>
<div class="ttc" id="kb__cmdparser_8c_html_a148aa3c18794894d8cdd0a88dd04b814"><div class="ttname"><a href="kb__cmdparser_8c.html#a148aa3c18794894d8cdd0a88dd04b814">kb_parse_command</a></div><div class="ttdeci">int kb_parse_command(char *line, kb_command_t *cmds, void *data)</div><div class="ttdef"><b>Definition:</b> <a href="kb__cmdparser_8c_source.html#l00079">kb_cmdparser.c:79</a></div></div>
<div class="ttc" id="gpio__test_8c_html_add0dd9208ef74a11aaa439bd9ec148a8"><div class="ttname"><a href="gpio__test_8c.html#add0dd9208ef74a11aaa439bd9ec148a8">pwm_ratio</a></div><div class="ttdeci">int pwm_ratio(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00134">gpio_test.c:134</a></div></div>
<div class="ttc" id="gpio__test_8c_html_ae92fb5ec62807efb0ce1b2171784066f"><div class="ttname"><a href="gpio__test_8c.html#ae92fb5ec62807efb0ce1b2171784066f">quit</a></div><div class="ttdeci">int quit(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="gpio__test_8c_source.html#l00027">gpio_test.c:27</a></div></div>
<div class="ttc" id="kb__init_8c_html_adf1ca4007100c026fae148afe3e4b6f2"><div class="ttname"><a href="kb__init_8c.html#adf1ca4007100c026fae148afe3e4b6f2">kb_init</a></div><div class="ttdeci">int kb_init(int argc, char *argv[])</div><div class="ttdef"><b>Definition:</b> <a href="kb__init_8c_source.html#l00028">kb_init.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_59425e443f801f1f2fd8bbe4959a3ccf.html">tests</a></li><li class="navelem"><a class="el" href="gpio__test_8c.html">gpio_test.c</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:17 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
